Bug 830649 - [abrt] R-core-2.15.0-1.fc16: __GI_raise: Process /usr/lib64/R/bin/exec/R was killed by signal 6 (SIGABRT)
[abrt] R-core-2.15.0-1.fc16: __GI_raise: Process /usr/lib64/R/bin/exec/R was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
https://bugs.r-project.org/bugzilla3/...
abrt_hash:0a446103a2681e698f8ea660a31...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 01:37 EDT by Jan Kratochvil
Modified: 2013-02-13 18:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:14:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (5.38 KB, text/plain)
2012-06-11 01:37 EDT, Jan Kratochvil
no flags Details
File: maps (14.46 KB, text/plain)
2012-06-11 01:37 EDT, Jan Kratochvil
no flags Details
File: backtrace (77.12 KB, text/plain)
2012-06-11 01:38 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2012-06-11 01:37:47 EDT
libreport version: 2.0.10
.gdb_history:   
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/R/bin/exec/R --no-restore --slave --args nextArg-lnextArg/home/lace/R/x86_64-redhat-linux-gnu-library/2.15nextArg/tmp/Rtmp5bzxCd/downloaded_packages/quantmod_0.3-17.tar.gz
crash_function: __GI_raise
executable:     /usr/lib64/R/bin/exec/R
kernel:         3.3.8-1.fc16.x86_64
pid:            11660
pwd:            /tmp/RtmpoDki4k/R.INSTALL2d8c162b4d1f/quantmod
time:           Mon 11 Jun 2012 07:30:12 AM CEST
uid:            1000
username:       lace

backtrace:      Text file, 78972 bytes
environ:        Text file, 5504 bytes
maps:           Text file, 14804 bytes

build_ids:
:9efd824bf587def50099e2ae657a5cce012fa658
:7ef2ecb7c4149134df843abbe6c1bd84fa63a929
:c6d8435e85266953fbdd6f11f365780961102fdc
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:fd5b787ab20e70a2127c86434ae6d6cf472e994e
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:5dbce281d1372a32f7bb2afcedcf0b1a859f1ae6
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:f8f4d8e260ee8f3b262936920270ace01b2da537
:5ba371439acb075c48406bd7c66c80594d91c7e7
:fd4f2bfcb5b51dce59abd088fcadc41851bcd278
:8b677eafe3a71673cb4a3e56b76e98c0f4d5b089
:2521fab4c8168fff2a7c097a2b36a50b89e8e4d1
:90b78c18055b6228ced3c41d1bd37eaf01b96bb1
:dd8106edd02ab9cb84bd426e3e1c24b2e96d7e20
:9c23cc77b5763600b189289e892983ebb6c172c8
:8d4c1cc04914e6f8dce0b485275a05d510543280
:3a00d4fc9e22f870d7fadc94f86a6f817842a04a
:e9818b9ec1e0e9fd613160742a2859610878d577
:58803db420709341d8e6a713b18e54a6e1824272
:75eaece6e0d1e075520cdfad5c398fdab4370846
:318f559187f8065770600b55de3f53148f20cbad
:3829a4f27eb6203a53a9395200abb60b139e5ffc
:a1b102b2df2a9b2b62ee0763097db0a6d0c69168
:d4bd6fffdeaa452695eb108fe5d211dfe3d32101
:b64907758e4da5c414817c125d03cd05bae7f5f9
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:9b3bb87e71fc618576119a0659e1a56a1fce0174
:12f7326885e79c7a690d8b6a22109af42760f6af
:f2e24eed69cdecfdc16ed844c315a295459441ff
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:71f613cf48aba669f837b140e28df2963268475c
:990727f7b33b18aa3b7c96908bca9618db015b9b

comment:
:install.packages("quantmod")
:
:Tried twice, always crashes.

dso_list:
:/usr/lib64/libgfortran.so.3.0.0 libgfortran-4.6.3-2.fc16.x86_64 (Fedora Project) 1331859915
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206580
:/lib64/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.x86_64 (Fedora Project) 1320383814
:/usr/lib64/libicuuc.so.46.0 libicu-4.6-4.fc16.x86_64 (Fedora Project) 1326756451
:/usr/lib64/gconv/ISO8859-1.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206580
:/usr/lib64/R/library/grDevices/libs/grDevices.so R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/lib64/libreadline.so.6.2 readline-6.2-2.fc16.x86_64 (Fedora Project) 1320383821
:/usr/lib64/R/library/zoo/libs/zoo.so R-zoo-1.7.6-2.fc16.x86_64 (Fedora Project) 1339392307
:/usr/lib64/libquadmath.so.0.0.0 libquadmath-4.6.3-2.fc16.x86_64 (Fedora Project) 1331859892
:/usr/lib64/libicudata.so.46.0 libicu-4.6-4.fc16.x86_64 (Fedora Project) 1326756451
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206580
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206580
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206580
:/usr/lib64/R/lib/libR.so R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206580
:/usr/lib64/R/library/tools/libs/tools.so R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206580
:/lib64/librt-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206580
:/usr/lib64/R/bin/exec/R R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/usr/lib64/libgomp.so.1.0.0 libgomp-4.6.3-2.fc16.x86_64 (Fedora Project) 1331859934
:/usr/lib64/libicui18n.so.46.0 libicu-4.6-4.fc16.x86_64 (Fedora Project) 1326756451
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1331859869
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1326756447
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206580
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.3-2.fc16.x86_64 (Fedora Project) 1331859884
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1320383802
:/usr/lib64/R/library/methods/libs/methods.so R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1337206576
:/usr/lib64/R/library/lattice/libs/lattice.so R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/usr/lib64/R/library/grid/libs/grid.so R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/usr/lib64/R/library/stats/libs/stats.so R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/usr/lib64/R/lib/libRlapack.so R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/usr/lib64/R/lib/libRblas.so R-core-2.15.0-1.fc16.x86_64 (Fedora Project) 1339391921
:/lib64/libpcre.so.0.0.1 pcre-8.12-9.fc16.x86_64 (Fedora Project) 1335306374

var_log_messages:
:Jun 11 00:22:29 host2 dbus[1238]: [system] Reloaded configuration
:Jun 11 00:22:29 host2 dbus-daemon[1238]: dbus[1238]: [system] Reloaded configuration
:Jun 11 00:22:29 host2 dbus[1238]: [system] Reloaded configuration
:Jun 11 00:22:29 host2 dbus-daemon[1238]: dbus[1238]: [system] Reloaded configuration
:Jun 11 04:50:45 host2 kernel: [37031.602733] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 224
:Jun 11 04:50:45 host2 kernel: [37031.602846] Raw EDID:
:Jun 11 04:50:48 host2 kernel: [37033.846372] HDMI: available speakers: FL/FR
:Jun 11 05:50:51 host2 openvpn[12021]: FRAG TTL expired i=10
:Jun 11 07:18:42 host2 yum[10607]: Installed: R-core-2.15.0-1.fc16.x86_64
:Jun 11 07:25:08 host2 yum[11133]: Installed: R-zoo-1.7.6-2.fc16.x86_64
:Jun 11 07:30:03 host2 yum[11407]: Installed: R-devel-2.15.0-1.fc16.x86_64
:Jun 11 07:30:15 host2 abrt[11665]: Saved core dump of pid 11660 (/usr/lib64/R/bin/exec/R) to /var/spool/abrt/ccpp-2012-06-11-07:30:12-11660 (39268352 bytes)
Comment 1 Jan Kratochvil 2012-06-11 01:37:52 EDT
Created attachment 590824 [details]
File: environ
Comment 2 Jan Kratochvil 2012-06-11 01:37:56 EDT
Created attachment 590825 [details]
File: maps
Comment 3 Jan Kratochvil 2012-06-11 01:38:04 EDT
Created attachment 590826 [details]
File: backtrace
Comment 4 Jan Kratochvil 2012-06-11 04:37:00 EDT
This is because:
src/main/datetime.c
do_asPOSIXlt
    char oldtz[20] = "";

but my env(TZ) is set to ":/usr/share/zoneinfo/Europe/Prague" which overruns the buffer.

__strcpy_sse2_unaligned () at ../sysdeps/x86_64/multiarch/strcpy-sse2-unaligned.S:124
124		pcmpeqb	%xmm3, %xmm0
(gdb) bt
#0  __strcpy_sse2_unaligned () at ../sysdeps/x86_64/multiarch/strcpy-sse2-unaligned.S:124
#1  0x00007ffff7abf22b in set_tz (tz=0x1cb9e08 ":/usr/share/zoneinfo/Europe/Prague", oldtz=0x7ffffffe50c0 ":/usr/share/zoneinfo/Europe/Prague\r\001") at /usr/include/bits/string3.h:105
#2  0x00007ffff7ac2f5f in do_asPOSIXlt (call=<optimized out>, op=<optimized out>, args=<optimized out>, env=<optimized out>) at datetime.c:684
#3  0x00007ffff7b0272b in bcEval (body=<optimized out>, rho=<optimized out>, useCache=<optimized out>) at eval.c:4430
Comment 5 Fedora End Of Life 2013-01-16 14:21:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 18:14:20 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.